%define oname   actionpack

Name:       ruby-%{oname}
Version:    4.0.2
Release:    %mkrel 1
Summary:    Web-flow and rendering framework putting the VC in MVC
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     actionpack-4.0.0-minitest5.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on enabling
easy unit/integration testing that doesn't require a browser.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%doc CHANGELOG.md MIT-LICENSE README.rdoc

%files          doc
%doc %{gem_docdir}


%changelog
* Sun Dec 29 2013 pterjan <pterjan> 4.0.2-1.mga4
+ Revision: 563098
- Update to rails 4.0.2 (CVE-2013-6417, CVE-2013-4491, CVE-2013-6415, CVE-2013-6414, CVE-2013-6416)

* Sat Dec 28 2013 pterjan <pterjan> 4.0.0-7.mga4
+ Revision: 562823
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 4.0.0-6.mga4
+ Revision: 561014
- 'Fix gem macros'

* Sat Oct 19 2013 umeabot <umeabot> 4.0.0-5.mga4
+ Revision: 535291
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 4.0.0-4.mga4
+ Revision: 481852
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 4.0.0-3.mga4
+ Revision: 476743
- Fix file list

* Thu Jun 27 2013 fwang <fwang> 4.0.0-2.mga4
+ Revision: 447507
- add upstream patch to work with minitest5

* Thu Jun 27 2013 fwang <fwang> 4.0.0-1.mga4
+ Revision: 447407
- new version 4.0.0

* Sat Mar 23 2013 fwang <fwang> 3.2.13-1.mga3
+ Revision: 404620
- new version 3.2.13

* Tue Feb 12 2013 fwang <fwang> 3.2.12-1.mga3
+ Revision: 398005
- new version 3.2.12

* Fri Feb 08 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 395709
- Rebuild for CVE-2013-0256

* Sun Jan 20 2013 fwang <fwang> 3.2.11-1.mga3
+ Revision: 390180
- new version 3.2.11

* Mon Jan 14 2013 umeabot <umeabot> 3.2.9-2.mga3
+ Revision: 380631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 shikamaru <shikamaru> 3.2.9-1.mga3
+ Revision: 332825
- new version 3.2.9 to match ruby-activemodel

* Thu Nov 01 2012 fwang <fwang> 3.2.8-1.mga3
+ Revision: 312164
- new version 3.2.8

* Tue Jun 12 2012 solbu <solbu> 3.2.5-2.mga3
+ Revision: 260133
- Remove yardoc
- New version
- Spec cleanup

* Sat Oct 29 2011 shikamaru <shikamaru> 2.3.14-1.mga2
+ Revision: 159708
- new version 2.3.14
- new version 2.3.12

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50620
- new version 2.3.11

* Sun Jan 23 2011 shikamaru <shikamaru> 2.3.10-3.mga1
+ Revision: 33994
- imported package ruby-actionpack


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 2.3.10-3mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618261
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585833
- bump release & fix url

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579505
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2010.0
+ Revision: 438624
- Update to new version 2.3.4

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 404439
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385324
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269227
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214639
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151329
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.13.3-1mdv2008.0
+ Revision: 17565
- 1.13.3
- drop Patch0 (fixed upstream)

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 1.12.5-2mdv2008.0
+ Revision: 16670
- ri is now in ri/ and not ri/ri/
- Use Development/Ruby group


* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 1.12.5-1mdv2007.0
+ Revision: 84899
- Patch0: fix rdoc generation (from upstream trac)
- 1.12.5
- Import ruby-actionpack

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 1.12.3-1mdv2007.0
- 1.12.3

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.11.2-3mdk
- Ship the gemspec

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.11.2-2mdk
- Don't ship too much ri, else we get conflicts

* Sun Feb 12 2006 Pascal Terjan <pterjan@mandriva.org> 1.11.2-1mdk
- First Mandriva release

